Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.app.fleetit.com/v2/transponders/shipments/ \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.app.fleetit.com/v2/transponders/shipments/" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.app.fleetit.com/v2/transponders/shipments/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.app.fleetit.com/v2/transponders/shipments/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.app.fleetit.com/v2/transponders/shipments/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.app.fleetit.com/v2/transponders/shipments/") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.app.fleetit.com/v2/transponders/shipments/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "count": 100, "next": "http://api.example.com/v2/transponders/shipments/?limit=25&offset=25", "previous": null, "results": [ { "id": 1, "status": "PENDING", "shipped_at": "2023-06-20T14:28:23.382748Z", "received_at": "2023-06-25T14:28:23.382748Z", "transponders": [ { "id": 1, "number": "transponder123" } ], "fleet": { "id": 1, "name": "Fleet Name" }, "direction": "IN", "remarks": "Sample remarks", "courier": "DHL", "tracking_code": "tracking123", "shipped_by": { "id": 1, "username": "user123" }, "received_by": { "id": 2, "username": "user456" } } ] }
List all shipments of transponders
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Filters shipments by fleet ID.
Filters shipments by status. Options are PENDING, SHIPPED, RECEIVED, CANCELLED.
Filters shipments by courier. Options are DHL, FedEx, UPS, USPS, OTHER.
Filters shipments by direction. Options are IN, OUT.
Search for shipments by transponder number, remarks, tracking code, or courier.
Order the results by specified fields. Prefix with - for descending order.
-
Limits the number of results returned.
Specifies the starting point within the collection of results.
Successful response
100
"http://api.example.com/v2/transponders/shipments/?limit=25&offset=25"
null
Show child attributes
Was this page helpful?